package controller

import (
	"github.com/gin-gonic/gin"
	"project_management/app/e"
	"project_management/app/model"
	"project_management/app/services"
	"project_management/unity"
)

var Capabilities services.Capabilities = &model.Capabilities{}

// GetCapabilities 获取所有能力
func GetCapabilities(c *gin.Context) {
	var params unity.QueryPageParams
	if err := c.ShouldBindQuery(&params); err != nil {
		e.ResponseWithMsg(c, e.JSONParsingFailed, e.JSONParsingFailed.GetMsg())
		return
	}
	queryCond := "cap_name like ?"
	params.Query = "%" + params.Query + "%"
	result, total, err := Capabilities.GetCapabilitiesList(params, model.Capabilities{}, queryCond)
	if err != nil {
		e.ResponseWithMsg(c, e.PaginationFailed, e.PaginationFailed.GetMsg())
		return
	}
	e.ResPonsePage(c, result, total, params)
}
