package middlewares

import (
	"github.com/gin-gonic/gin"
	"project_management/app/e"
	"project_management/utils"
	"strings"
)

func LogonMiddeware() gin.HandlerFunc {
	return func(c *gin.Context) {
		header := c.GetHeader("Authorization")
		split := strings.Split(header, ":")
		if header == "" {
			e.ResponseWithMsg(c, e.TokenIsInvalid, e.TokenIsInvalid.GetMsg())
			c.Abort()
		} else {
			_, err := utils.ParseToken(split[1])
			if err != nil {
				e.ResponseWithMsg(c, e.TokenIsInvalid, err.Error())
				c.Abort()
			} else {
				c.Next()
			}
		}

	}
}
