package app

import (
	"github.com/gin-gonic/gin"
	middlewares "project_management/app/middleware"
	"project_management/app/routers"
	"project_management/global"
)

func InitRouter() error {
	engine := gin.New()
	engine.Use(middlewares.Cors())
	routers.QiniuRouter(engine)
	routers.UserRouter(engine)
	//第三方用户登录
	engine.Use(middlewares.LogonMiddeware())
	routers.AppUserRouter(engine)
	routers.ApplyNotLogin(engine)
	//用户登录
	engine.Use(middlewares.LoginMiddleware())
	routers.ApplyRouter(engine)
	//系统管理员

	return engine.Run(global.ServerSetting.Port)
}
